afc_client_free
afc_client_new
afc_client_start_service
afc_client_t
afc_dictionary_free
afc_error_t
afc_file_close
afc_file_lock
afc_file_mode_t
afc_file_open
afc_file_read
afc_file_seek
afc_file_tell
afc_file_truncate
afc_file_write
afc_get_device_info
afc_get_device_info_key
afc_get_device_info_plist
afc_get_file_info
afc_get_file_info_plist
afc_link_type_t
afc_lock_op_t
afc_make_directory
afc_make_link
afc_read_directory
afc_remove_path
afc_remove_path_and_contents
afc_rename_path
AFC_SERVICE_NAME
afc_set_file_time
afc_strerror
afc_truncate

## afc_client_start_service()

afc_error_t afc_client_start_service | ( | idevice_t | device,
|  | afc_client_t * | client,
|  | const char * | label )

Starts a new AFC service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated afc_client_t upon successful return. Must be freed using afc_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  AFC_E_SUCCESS on success, or an AFC_E_* error code otherwise.